Package com.independentsoft.office.diagrams

# Enum Class OneByOneAnimation

java.lang.Object
java.lang.Enum<OneByOneAnimation>
com.independentsoft.office.diagrams.OneByOneAnimation

All Implemented Interfaces:
  `Serializable`, `Comparable<OneByOneAnimation>`, `Constable`

public enum OneByOneAnimation extends Enum<OneByOneAnimation>
The Enum OneByOneAnimation.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BY_BRANCH_ONE_BY_ONE`
  `DISABLE_ONE_BY_ONE`
  `NONE`
  `ONE_BY_ONE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static OneByOneAnimation`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static OneByOneAnimation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BY_BRANCH_ONE_BY_ONE

    public static final OneByOneAnimation BY_BRANCH_ONE_BY_ONE

  - ### DISABLE_ONE_BY_ONE

    public static final OneByOneAnimation DISABLE_ONE_BY_ONE

  - ### ONE_BY_ONE

    public static final OneByOneAnimation ONE_BY_ONE

  - ### NONE

    public static final OneByOneAnimation NONE

- ## Method Details

  - ### values

    public static OneByOneAnimation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static OneByOneAnimation valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null